#
# spec file for package yast2-config-sound (Version 2.4.20)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake libycp-devel ycpdoc ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ycpdoc ydoc

Name:         yast2-config-sound
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Requires:	yast2-trans-sound yast2-db-sound yast2 yast2-agent-any yast2-agent-audio yast2-agent-modules yast2-agent-system yast2-agent-rcconfig
BuildArchitectures: noarch
Summary:      YaST2 - component for soundcard configuration
Version:      2.4.20
Release:      11
Source0:      yast2-config-sound-2.4.20.tar.bz2
Provides:     y2c_snd
Obsoletes:    y2c_snd

%description
This package contains the YaST2 component for sound card configuration.

Authors:
--------
    Dan Meszaros

SuSE series: yast

%prep
%setup -n yast2-config-sound-2.4.20

%build
./configure
make

%install
make install

%files
%dir /usr/lib/YaST2
%dir /usr/lib/YaST2/clients
%dir /usr/lib/YaST2/include/sound
%dir /usr/lib/YaST2/menuentries
%dir /usr/lib/YaST2/bin
/usr/lib/YaST2/include/sound/*.ycp
/usr/lib/YaST2/clients/sound*.ycp
/usr/lib/YaST2/menuentries/menu*.ycp
/usr/lib/YaST2/bin/copyfonts
%doc /usr/share/doc/packages/yast2-config-sound

%changelog -n yast2-config-sound
* Fri Sep 21 2001 - dmeszar@suse.cz
- bug #7198 fixed (warning popup for nm256 sound cards
  not shown when the card is configured and module is
  launched again)
* Thu Sep 20 2001 - dmeszar@suse.cz
- bug #10941 ('nil' shown as card label when uniq_id has changed
  after update)
- comment added for translators
* Tue Sep 18 2001 - dmeszar@suse.cz
- corrected abort behaviour in complex dialog (#not reported)
  (when user pressed abort, module ended even if she pressed
  'no' in 'really abort' dialog)
* Mon Sep 17 2001 - dmeszar@suse.cz
- bug #10750 fixed (don't save when nothing has changed)
* Mon Sep 17 2001 - dmeszar@suse.cz
- bug #10639 fixed (Removing first sound card removes them all)
- bug #10529 (10662) fixed (YaST2 crashes: Undefined string operation?)
  resp. (sound/routines.ycp: strange lines)
* Mon Sep 10 2001 - dmeszar@suse.cz
- use Arch:: instead of user_settings
* Tue Sep 04 2001 - dmeszar@suse.cz
- use alias sound-slot-0 -> sound
  and	    sound -> char-major-14 for sparcs
* Tue Sep 04 2001 - dmeszar@suse.cz
- unmute device "Wave Playback Volume" for ymf sound cards
- default value for lookup(3) added
* Fri Aug 31 2001 - dmeszar@suse.cz
- bug #9993 fixed
- logs removed
* Wed Aug 29 2001 - dmeszar@suse.cz
- fixed typos
- removed debug logging
* Mon Aug 27 2001 - dmeszar@suse.cz
- use module name as alias 'char-major-14' on sparc
  instead of 'sound'
* Mon Aug 27 2001 - dmeszar@suse.cz
- volume setting implemented for oss
* Wed Aug 22 2001 - dmeszar@suse.cz
- oss support added, alpha version
- volume setting for oss not implemented so far
* Mon Aug 20 2001 - dmeszar@suse.cz
- fixed shortcuts
* Mon Aug 20 2001 - dmeszar@suse.cz
- bug #8335 fixed, options restoring when deleting card fixed
* Wed Aug 15 2001 - dmeszar@suse.cz
- installation of one card much simplified
* Mon Aug 13 2001 - dmeszar@suse.cz
- stderr of 'execute' commands redirected to /dev/null
  when running .target.bash
* Fri Aug 10 2001 - dmeszar@suse.cz
- bug #5838 fixed
- minor code changes  UI(`fn()) -> UI::fn() SCR resp.
* Mon Jul 30 2001 - dmeszar@suse.cz
- speed improvements
* Wed Jul 25 2001 - dmeszar@suse.cz
- first dialog unified with printconf and tvconf modules
* Mon Jul 23 2001 - dmeszar@suse.cz
- fixed 'requires' in rpm, workflow changes, option dialog improvements
* Tue May 15 2001 - dmeszar@suse.cz
- doubled text fixed. when a new card is manually added, module description is
  used as a manufacturer name. (bug #8315, file routines.ycp).
- fixed bug in adding sound cards. (not reported)
  (files routines.ycp, sound_complex- list of all cards was compared
  against /var/lib/YaST/unique.inf, which was not correct. dialog
  with the choice "Add autodetected"/"Select from list" was not shown
  properly.  now it's compared
  with local copy of unique keys list. new parameter added to get_not_yet
  (function returning list of not configured soundcards))
- removed commented block of source code from 'sound_summary.ycp'
* Tue May 15 2001 - dmeszar@suse.cz
- doubled text fixed. when a new card is manually added, module description is
  used as a manufacturer name. (bug #8315). fixed bug in adding sound cards. (not reported)
* Mon May 14 2001 - dmeszar@suse.cz
- sound summary for non-pnp cards fixed (bug #8157)
* Fri May 11 2001 - dmeszar@suse.cz
- soundblater awe card presence enhanced
* Thu May 10 2001 - dmeszar@suse.cz
- fixed to work with new libhd (#7918)
* Mon May 07 2001 - dmeszar@suse.cz
- module options fixed, card removing fixed
* Mon Apr 30 2001 - dmeszar@suse.cz
- sound fonts loading enabled, abort dialog unified, summary spaces fixed
* Tue Apr 24 2001 - ro@suse.de
- fixed time-stamps in tar
* Tue Apr 24 2001 - dmeszar@suse.cz
- sound fonts loading temporarily removed
* Tue Apr 24 2001 - dmeszar@suse.cz
- 'install sndfonts' button in summary dialog
* Mon Apr 23 2001 - dmeszar@suse.cz
- multiple sound cards installation fixed, volume settings fixed
- fonts loading feature for soundblaster
* Tue Apr 17 2001 - dmeszar@suse.cz
- autodocs build fixed
* Tue Apr 17 2001 - dmeszar@suse.cz
- sound summary module added, fixed 'requires'
* Fri Mar 30 2001 - dmeszar@suse.cz
- options editing, quick config
* Sat Mar 17 2001 - dan@suse.cz
- ycpdoc removed from requires
* Wed Mar 07 2001 - dan@suse.cz
- package rename
* Thu Jan 25 2001 - dan@suse.cz
- y2log fixes
* Mon Jan 22 2001 - dan@suse.cz
- another locale fix
* Mon Jan 22 2001 - dan@suse.cz
- locale problem for displaying all cards fixed
* Thu Jan 18 2001 - dan@suse.cz
- options passing fix (bug 5855)
* Fri Jan 12 2001 - kkaempf@suse.de
- bump version for latest fixes
* Fri Jan 12 2001 - dan@suse.de
- dialog sequence for one card fix
* Wed Jan 10 2001 - dan@suse.cz
- don't call complex dialog when just one sound card is beeing installed
- log fixes
* Tue Jan 09 2001 - dan@suse.cz
- fix playing sound sample on background (bug #5263)
* Fri Jan 05 2001 - kkaempf@suse.de
- fix frame caption for gettext
* Thu Jan 04 2001 - dan@suse.cz
- special warning dialog for nm256 cards
* Fri Dec 15 2000 - dan@suse.cz
- skip/back button sequence fixed (bug #4679)
* Wed Dec 13 2000 - mike@suse.de
- new menuentry file
* Tue Dec 12 2000 - kkaempf@suse.de
- use tmpdir instead of /tmp
* Sat Dec 09 2000 - dan@suse.cz
- options exist test, disabling sound table omitted
* Fri Dec 08 2000 - dan@suse.cz
- spec file fix
* Fri Dec 08 2000 - kendy@suse.cz
- All /sbin/init.d changed to /etc/init.d
* Thu Dec 07 2000 - arvin@suse.de
- call sound (not lan) in menu
* Thu Dec 07 2000 - arvin@suse.de
- fix double quoted symbol
* Thu Dec 07 2000 - dan@suse.cz
- y2d_snd is required, amixer call differ for more cards
* Wed Dec 06 2000 - kkaempf@suse.de
- adapt to new alsa package
  support multiple cards
  pack sources with bzip2
* Fri Sep 29 2000 - kkaempf@suse.de
- do MacRISC dmasound right
  version 2.0.13
* Wed Sep 27 2000 - dan@suse.cz
- PPC hack added
* Mon Sep 18 2000 - dan@suse.cz
- exception for ppc hardcoded
* Thu Jul 13 2000 - dan@suse.de
- minor fixes ('\n' added, etc.)
* Tue Jul 11 2000 - dan@suse.de
- fixed writing of modules.conf (last line)
* Tue Jul 04 2000 - dan@suse.de
- fixed aplay calling
* Mon Jul 03 2000 - kkaempf@suse.de
- changed test sound in alsa package
  version 2.0.7
* Thu Jun 29 2000 - kkaempf@suse.de
- requires y2t_snd
* Tue Jun 27 2000 - dan@suse.de
- more comments for translators
* Mon Jun 26 2000 - kkaempf@suse.de
- message fixes
  version 2.0.5
* Fri Jun 23 2000 - dan@suse.de
- comments for translators added
* Wed Jun 21 2000 - dan@suse.de
- messages correction
* Tue Jun 20 2000 - dan@suse.de
- fixed volume setting
* Fri Jun 16 2000 - dan@suse.de
- minor layout changes
* Fri May 19 2000 - kkaempf@suse.de
- initial version
